List email forwarding logs

Returns forwarded inbound emails with their delivery outcomes, newest first, optionally filtered by rule, status, or creation time (`after`, `before`).

GET
/v1/email/forwarding/logs

Returns forwarded inbound emails with their delivery outcomes, newest first, optionally filtered by rule, status, or creation time (after, before). Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

forwardingRuleId?string
Match^fwd_[0-9a-hjkmnp-tv-z]{16,24}$
status?string
Value in"pending""forwarded""failed"
after?string
before?string
limit?|null
cursor?string

Response Body

ForwardingLogPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.getForwardingLog({});
Example Response
{  "items": [    {      "id": "string",      "forwardingRuleId": "string",      "originalFromAddress": "string",      "originalToAddress": "string",      "originalSubject": "string",      "forwardedTo": [        "string"      ],      "status": "pending",      "errorMessage": "string",      "messageId": "string",      "forwardedAt": "string",      "createdAt": "string"    }  ],  "nextCursor": "string"}

Related documentation